﻿@model Schedule.Application.ViewModel.Agenda.Conflito.PesquisaConflitoViewModel



@Html.Hidden("HiddenrefazerPesquisaConflito", Model.Pesquisar)
@if (Model.Pesquisar == false)
{
    <div class="row">
        <div class="col-lg-12">
            <div class="card shadow mb-4" id="filtros">
                <div class="card-header py-3">
                    <h4 class="m-0 font-weight-bold text-danger"> Conflitos</h4>
                </div>

                <div class="card-body">
                    @Html.Hidden("DataPesquisaInicial")
                    @Html.Hidden("DataPesquisaFinal")
                    <div class="row">
                        <div class="form-group col-sm-3">
                            <label>Empresa:</label>
                            <div id="DivValidaEmpresa">
                                <select class="form-control" id="EmpresaId" name="EmpresaId">
                                    @if (ViewBag.Empresas != null)
                                    {
                                        <option value="">
                                            Todos
                                        </option>
                                        foreach (var item in ViewBag.Empresas)
                                        {
                                            <option value="@item.Value"> @item.Text  </option>
                                        }
                                    }
                                </select>
                            </div>
                        </div>
                        <div class="form-group col-sm-2">
                            <label>Data Inicial</label>
                            <input type="text" autocomplete="off" id="DataInicio" name="DataInicio" class="form-control" />
                        </div>
                        <div class="form-group col-sm-2">
                            <label>Data final</label>
                            <input type="text" autocomplete="off" id="DataFim" name="DataFim" class="form-control" />
                        </div>



                        <div class="form-group col-sm-2">
                            <label>&nbsp</label>
                            <button class="btn btn-primary form-control" id="btnPesquisarConflitos">Pesquisar</button>
                        </div>
                    </div>
                    <div class="row">
                        <div class="form-group col-sm-3">
                            <label>Consultor:</label>
                            <div id="DivValidaConsultor">
                                <select class="form-control" id="ListaConsultoresIdConflito" multiple="multiple" name="ListaConsultoresIdConflito">

                                    @if (ViewBag.ListaConsultores != null)
                                    {
                                        foreach (var item in ViewBag.ListaConsultores)
                                        {
                                            if (ViewBag.SelecionaConsultor != null && ViewBag.SelecionaConsultor == true)
                                            {
                                                <option value="@item.Value" selected="selected"> @item.Text </option>
                                            }
                                            else
                                            {
                                                <option value="@item.Value"> @item.Text </option>
                                            }
                                        }
                                    }
                                </select>
                            </div>
                        </div>
                        <div class="form-group col-sm-3">
                            <div id="DivValidaEspecialidade">
                                <label>Especialidade:</label>
                                <select class="form-control" id="ListaEspecialidades" multiple="multiple" name="ListaEspecialidades">
                                    @if (ViewBag.ListaEspecialidades != null)

                                        foreach (var item in ViewBag.ListaEspecialidades)
                                        {
                                            <option value="@item.id"> @item.DescricaoEspecialidade </option>
                                        }
                                </select>
                            </div>

                        </div>




                    </div>
                    <div class="row">
                        <div class="form-group col-sm-12">
                            <div id="DivValidacao" class="border-bottom-dark h4 text-center font-weight-bold text-danger">

                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12">
            <div class="card shadow mb-4">

                <div class="card-body">

                    <div id="DivTableConsultoresConflito">
                        <table id="tbListaConsultoresConflito" class="table  table-bordered">
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
}
else
{

    <div class="row">
        <div class="col-lg-12">
            <div class="card shadow mb-4" id="filtros">
                <div class="card-header py-3">
                    <h4 class="m-0 font-weight-bold text-danger"> Conflitos</h4>
                </div>

                <div class="card-body">
                    @Html.Hidden("DataPesquisaInicial")
                    @Html.Hidden("DataPesquisaFinal")
                    <div class="row">
                        <div class="form-group col-sm-3">
                            <label>Empresa:</label>
                            <div id="DivValidaEmpresa">
                                <select class="form-control" id="EmpresaId" name="EmpresaId">
                                    @if (ViewBag.Empresas != null)
                                    {
                                        <option value="">
                                            Todos
                                        </option>
                                        foreach (var item in ViewBag.Empresas)
                                        {
                                            @if (item.Value == Model.EmpresaId.ToString())
                                            {
                                                <option value="@item.Value" selected="selected"> @item.Text  </option>
                                            }
                                            else
                                            {
                                                <option value="@item.Value"> @item.Text  </option>
                                            }
                                        }
                                    }
                                </select>
                            </div>
                        </div>
                        <div class="form-group col-sm-2">
                            <label>Data Inicial</label>
                            <input type="text" autocomplete="off" id="DataInicio" name="DataInicio" value="@Model.DataInicio" class="form-control" />
                        </div>
                        <div class="form-group col-sm-2">
                            <label>Data final</label>
                            <input type="text" autocomplete="off" id="DataFim" name="DataFim" value="@Model.DataFim" class="form-control" />
                        </div>



                        <div class="form-group col-sm-2">
                            <label>&nbsp</label>
                            <button class="btn btn-primary form-control" id="btnPesquisarConflitos">Pesquisar</button>
                        </div>
                    </div>
                    <div class="row">
                        <div class="form-group col-sm-3">
                            <label>Consultor:</label>
                            <div id="DivValidaConsultor">
                                <select class="form-control" id="ListaConsultoresIdConflito" multiple="multiple" name="ListaConsultoresIdConflito">

                                    @if (ViewBag.ListaConsultores != null)
                                    {
                                        foreach (var item in ViewBag.ListaConsultores)
                                        {
                                            if (ViewBag.SelecionaConsultor != null && ViewBag.SelecionaConsultor == true)
                                            {
                                                <option value="@item.Value" selected="selected"> @item.Text </option>
                                            }
                                            else
                                            {


                                                if (Model.ListaConsultoresId.Contains(Guid.Parse(item.Value)))
                                                {
                                                    <option value="@item.Value" selected="selected"> @item.Text </option>
                                                }
                                                else
                                                {
                                                    <option value="@item.Value"> @item.Text </option>
                                                }

                                            }
                                        }
                                    }
                                </select>
                            </div>
                        </div>
                        <div class="form-group col-sm-3">
                            <div id="DivValidaEspecialidade">
                                <label>Especialidade:</label>
                                <select class="form-control" id="ListaEspecialidades" multiple="multiple" name="ListaEspecialidades">
                                    @if (ViewBag.ListaEspecialidades != null)

                                        foreach (var item in ViewBag.ListaEspecialidades)
                                        {
                                            if (Model.ListaEspecialidades.Contains(@item.id))
                                            {
                                                <option value="@item.id" selected="selected"> @item.DescricaoEspecialidade </option>
                                            }
                                            else
                                            {
                                                <option value="@item.id"> @item.DescricaoEspecialidade </option>
                                            }

                                        }
                                </select>
                            </div>

                        </div>




                    </div>
                    <div class="row">
                        <div class="form-group col-sm-12">
                            <div id="DivValidacao" class="border-bottom-dark h4 text-center font-weight-bold text-danger">

                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12">
            <div class="card shadow mb-4">

                <div class="card-body">

                    <div id="DivTableConsultoresConflito">
                        <table id="tbListaConsultoresConflito" class="table  table-bordered">
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
}


}
<script type="text/javascript" src="@Url.ContentVersioned("~/Scripts/GestaoAgenda.js")"></script>



